## com.baidubce.services.lss.model
Class CreateSessionRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.lss.model.CreateSessionRequest

    public class CreateSessionRequest

extends AbstractBceRequest

Constructor Summary
`CreateSessionRequest()`

Method Summary
`String` `getDescription()`
`String` `getNotification()`
`String` `getPreset()`
`LivePublishInfo` `getPublish()`
`String` `getSecurityPolicy()`
`void` `setDescription(String description)`
`void` `setNotification(String notification)`
`void` `setPreset(String preset)`
`void` `setPublish(LivePublishInfo publish)`
`void` `setSecurityPolicy(String securityPolicy)`
`String` `toString()`
`CreateSessionRequest` `withDescription(String description)`
`CreateSessionRequest` `withNotification(String notification)`
`CreateSessionRequest` `withPreset(String preset)`
`CreateSessionRequest` `withPublish(LivePublishInfo publish)`
`CreateSessionRequest` `withRequestCredentials(BceCredentials credentials)`
`CreateSessionRequest` `withSecurityPolicy(String securityPolicy)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateSessionRequest

    public CreateSessionRequest()

Method Detail

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### withDescription

    public CreateSessionRequest withDescription(String description)

### getPreset

    public String getPreset()

### setPreset

    public void setPreset(String preset)

### withPreset

    public CreateSessionRequest withPreset(String preset)

### getNotification

    public String getNotification()

### setNotification

    public void setNotification(String notification)

### withNotification

    public CreateSessionRequest withNotification(String notification)

### getSecurityPolicy

    public String getSecurityPolicy()

### setSecurityPolicy

    public void setSecurityPolicy(String securityPolicy)

### withSecurityPolicy

    public CreateSessionRequest withSecurityPolicy(String securityPolicy)

### getPublish

    public LivePublishInfo getPublish()

### setPublish

    public void setPublish(LivePublishInfo publish)

### withPublish

    public CreateSessionRequest withPublish(LivePublishInfo publish)

### withRequestCredentials

    public CreateSessionRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.